/**
 * 	REDUX OBJECT:
 * 	It contains some method all redux objects will have (get and set Store, for example).
 */
/**
 * 	It contains some methods all Redux Objects will require.
 */
declare class ReduxObject {
    _store: any;
    /**
     *  Dispatches the content to the store.
     */
    dispatch(action: any): boolean;
    /**
     * 	Sets the store the reducer will use.
     * 	@param 		{Object} 	store	Store to be used.
     */
    setStore(store: any): boolean;
    /**
     * 	Get the store the reducer uses.
     */
    getStore(): any;
    /**
     * 	Created the reducer.
     *  Throws an error if it's not overrided.
     */
    createReducers(names: string[]): any;
}
export default ReduxObject;
