/**
 *  REDUCER FACTORY:
 * 	It creates the reducers for the arrays.
 */
interface Action {
    type: string;
    payload: any;
}
declare type NewContent = Record<string, any> & {
    id: string | number;
};
declare type ArrayObject = NewContent & {
    index: number;
};
/**
 * 	Creates a reducer for the specified array name.
 */
declare const createReducer: (arrayName: string) => (state: never[] | undefined, action: Action) => ArrayObject[];
export default createReducer;
