/**
 *  REDUCER FACTORY:
 * 	It creates the reducers for the dictionaries.
 */
interface Action {
    type: string;
    payload: any;
}
/**
 *  Creates a reducer for a dictionary with the specified name.
 */
declare const createReducer: (dictionaryName: string) => (state: {} | undefined, action: Action) => any;
export default createReducer;
