/**
 * 	SIMPLE-REDUX:
 *	It can interact with redux in a simple way: like arrays or like dictionaries.
    You can get the state like getDictionary(name) of getArray(name) and start working with it.
 */
import Array from './state/Array';
import Dictionary from './state/Dictionary';
declare const _default: {
    get: (name: string) => Array | Dictionary;
    getDictionary: (name: string) => Dictionary;
    getArray: (name: string) => Array;
    getState: () => any;
    getStore: () => any;
    startEmpty: (dictionaryNames: string[], arrayNames: string[]) => boolean;
    setShowInConsole: (mustShow: boolean) => boolean;
    startWithState: (dictionaries: Record<string, any>, arrays: Record<string, any>) => boolean;
    subscribe: (listener: (listener: any) => any) => boolean;
};
export = _default;
